## gnuplot 6.0.3+dfsg1

=== demo/html/Makefile ===
all: html showcase_plots

distclean: clean
clean:
	rm -f *.png *.gnu *.html *.gif *.webp *.dat epslatex* fit.log soundfit.par *.tmp *.js *.?.svg *.??.svg gnuplot_mouse.css jsdir

GNUPLOT_LIB = ..

#
# Auto-generation of the html demo set using the png terminal.
#
# Several of the demos need manual intervention:
#	fontfile vector epslatex
#
html: airfoil.html animation.html approximate.html armillary.html array.html arrowstyle.html \
      barchart_art.html binary.html binary_polygon.html bins.html bivariat.html boxplot.html \
      boxclusters.html boxes3d.html candlesticks.html chi_shapes.html circles.html cities.html \
      columnhead.html contourfill.html \
      contours.html convex_hull.html custom_contours.html controls.html custom_key.html \
      dashtypes.html datastrings.html dgrid3d.html discrete.html \
      electron.html ellipse.html enhanced_utf8.html epslatex.html errorbars.html \
      fenceplot.html fillbetween.html fillcrvs.html fillstyle.html finance.html fit.html function_block.html \
      heatmaps.html heatmap_4D.html heatmap_points.html \
      hidden.html hidden2.html hidden_compare.html histograms.html histograms2.html hsteps.html \
      histerror.html histogram_colors.html gantt.html image.html image2.html imageNaN.html \
      index.html iris.html iterate.html jitter.html keyentry.html \
      label_stacked_histograms.html layout.html lines_arrows.html linkedaxes.html logic_timing.html \
      map_projection.html margins.html mask_pm3d.html monotonic_spline.html multiaxis.html multiplt.html \
      named_palettes.html nokey.html nonlinear1.html nonlinear2.html nonlinear3.html \
      parallel.html param.html piecewise.html pixmap.html pm3dcolors.html pm3d.html \
      pm3dgamma.html pm3d_clip.html pm3d_lighting.html pointsize.html polar.html polargrid.html \
      poldat.html polar_quadrants.html polygons.html prob2.html prob.html projection.html \
      rainbow.html random.html rank_sequence.html rectangle.html rgba_lines.html \
      argb_hexdata.html rgb_variable.html rotate_labels.html rugplot.html running_avg.html \
      sampling.html scatter.html simple.html singulr.html sectors.html sharpen.html \
      spotlight.html smooth.html smooth_path.html solar_path.html spiderplot.html spline.html \
      smooth_splines.html stats.html steps.html stringvar.html surface1.html surface2.html \
      azimuth.html transparent.html transparent_solids.html textbox.html tics.html \
      timedat.html ttics.html unicode.html using.html \
      varcolor.html vector.html violinplot.html viridis.html voxel.html vplot.html \
      walls.html waterfallplot.html windrose.html world.html zerror.html \
      watchpoints.html isosurface.html

index.html: index.save
	cp index.save index.html
	cp ../../term/js/*.png .

animation.html: animation.html.save
	cp animation.html.save animation.html
	../../src/gnuplot animation.gp

special_functions: index.6new showcase_plots complex_trig.html cerf.html elliptic.html expint.html ibeta.html igamma.html BesselK.html complex_airy.html Dawson.html Fresnel.html lambert.html lnGamma.html synchrotron.html uigamma.html zeta.html
	cp index.6new index.html

circles.html: $(GNUPLOT_LIB)/hidden2.dem ./webify.pl
	export DEMOTERM="pngcairo truecolor font 'arial,8' size 500,300"; ./webify.pl circles

cities.html: $(GNUPLOT_LIB)/cities.dem ./webify.pl
	export DEMOTERM="pngcairo font 'Times,8' fontscale 2.5 size 500,500"; ./webify.pl cities

ellipse.html: random.html

hidden2.html: $(GNUPLOT_LIB)/hidden2.dem ./webify.pl
	export DEMOTERM="pngcairo font 'arial,8' size 540,384"; ./webify.pl hidden2

image.html: $(GNUPLOT_LIB)/image.dem ./webify.pl
	export DEMOTERM="pngcairo font 'arial,8' size 540,384"; ./webify.pl image

image2.html: $(GNUPLOT_LIB)/image2.dem ./webify.pl
	export DEMOTERM="pngcairo font 'arial,8' size 540,384"; ./webify.pl image2

argb_hexdata.html: $(GNUPLOT_LIB)/argb_hexdata.dem ./webify.pl
	export DEMOTERM="pngcairo font 'arial,8' size 540,360"; ./webify.pl argb_hexdata

rgb_variable.html: $(GNUPLOT_LIB)/rgb_variable.dem ./webify.pl
	export DEMOTERM="pngcairo font 'arial,8' size 540,360"; ./webify.pl rgb_variable

rugplot.html: random.html

finance.html: $(GNUPLOT_LIB)/finance.dem ./webify.pl
	export DEMOTERM="pngcairo transparent font 'arial,8' size 660,320"; ./webify.pl finance

linkedaxes.html: $(GNUPLOT_LIB)/linkedaxes.dem ./webify.pl
	export DEMOTERM="pngcairo enhanced font 'arial,9' size 610,320"; ./webify.pl linkedaxes 


multiplt.html: $(GNUPLOT_LIB)/multiplt.dem ./webify.pl
	export DEMOTERM="pngcairo transparent font 'arial,8' size 610,480"; ./webify.pl multiplt

transparent.html: $(GNUPLOT_LIB)/transparent.dem ./webify.pl
	export DEMOTERM="pngcairo transparent truecolor font 'arial,8' size 512,280"; ./webify.pl transparent

transparent_solids.html: $(GNUPLOT_LIB)/transparent_solids.dem ./webify.pl
	export DEMOTERM="pngcairo truecolor font 'arial,9' size 512,384"; ./webify.pl transparent_solids

# The png terminal does not support dashed lines, so let's use pngcairo
lines_arrows.html: $(GNUPLOT_LIB)/lines_arrows.dem ./webify.pl
	export DEMOTERM="pngcairo dash dl 2"; ./webify.pl lines_arrows

rgba_lines.html: $(GNUPLOT_LIB)/rgba_lines.dem ./webify.pl
	export DEMOTERM="pngcairo dash dl 2"; ./webify.pl rgba_lines

complex_trig.html: $(GNUPLOT_LIB)/complex_trig.dem ./webify.pl
	export DEMOTERM="pngcairo enhanced font 'times'"; ./webify.pl complex_trig

showcase_plots: voxel.html pm3d_lighting.html violinplot.html
	cp violinplot.5.png showcase_plot_1.png
	cp voxel.2.png showcase_plot_2.png

%.html: $(GNUPLOT_LIB)/%.dem ./webify.pl
	./webify.pl $*

=== debian/changelog ===
gnuplot (6.0.3+dfsg1-1) unstable; urgency=medium

  * Upload into unstable.

 -- Anton Gladky <gladk@debian.org>  Fri, 15 Aug 2025 21:51:57 +0200

gnuplot (6.0.3+dfsg1-1~exp2) experimental; urgency=medium

  * [44ffae7] Revert "chore: Rename build profile nox-only -> nodoc"

 -- Anton Gladky <gladk@debian.org>  Tue, 17 Jun 2025 06:43:16 +0200

gnuplot (6.0.3+dfsg1-1~exp1) experimental; urgency=medium

  * [ecbec40] New upstream version 6.0.3+dfsg1
  * [96e10da] chore: Update patches for gnuplot 6.0.3
  * [b8c4381] chore: Bump Standards-Version to 4.7.2
  * [56d5a8b] chore: Rename build profile nox-only -> nodoc

 -- Anton Gladky <gladk@debian.org>  Sun, 15 Jun 2025 13:19:26 +0200

=== debian/control ===
Source: gnuplot
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: math
Priority: optional
Build-Depends: autoconf,
               automake,
               debhelper-compat (= 13),
               dh-lua,
               libcairo2-dev,
               libedit-dev,
               libgd-dev,
               liblua5.1-0-dev,
               libpango1.0-dev,
               libpng-dev,
               qtbase5-dev <!nox-only>,
               qtbase5-dev-tools <!nox-only>,
               qttools5-dev-tools <!nox-only>,
               libqt5svg5-dev <!nox-only>,
               libx11-dev <!nox-only>,
               libxt-dev <!nox-only>,
               pkg-config,
               libwxgtk3.2-dev <!nox-only>,
               zlib1g-dev
Build-Depends-Indep: latex2html <!nox-only>,
                     texinfo <!nox-only>,
                     texlive-fonts-recommended <!nox-only>,
                     texlive-font-utils <!nox-only>,
                     texlive-latex-base <!nox-only>,
                     texlive-latex-extra <!nox-only>,
                     texlive-latex-recommended <!nox-only>,
                     texlive-science <!nox-only>,
                     texlive-xetex <!nox-only>,
                     texlive-fonts-extra <!nox-only>,
                     fonts-freefont-ttf <!nox-only>,
                     fonts-freefont-otf <!nox-only>,
                     emacs-nox <!nox-only> | emacs <!nox-only>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/gnuplot
Vcs-Git: https://salsa.debian.org/science-team/gnuplot.git
Homepage: https://gnuplot.sourceforge.net/
Rules-Requires-Root: no

Package: gnuplot
Architecture: all
Depends: gnuplot-qt | gnuplot-x11 | gnuplot-nox,
         ${misc:Depends}
Suggests: gnuplot-doc
Description: Command-line driven interactive plotting program.
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
 is packaged in gnuplot-x11.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This metapackage is to install a full-featured gnuplot (-qt, -x11 or -nox).

Package: gnuplot-doc
Architecture: all
Build-Profiles: <!nox-only>
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Command-line driven interactive plotting program. Doc-package
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package contains the additional documentation.

Package: gnuplot-nox
Architecture: any
Depends: gnuplot-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fonts-liberation,
            groff
Suggests: gnuplot-doc
Conflicts: gnuplot-qt,
           gnuplot-x11
Provides: gnuplot
Replaces: gnuplot-qt,
          gnuplot-x11
Description: Command-line driven interactive plotting program. No-X package
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
 is packaged in gnuplot-x11. The QT-output is packaged in gnuplot-qt.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package is for working without an X server.

Package: gnuplot-qt
Architecture: any
Build-Profiles: <!nox-only>
Depends: gnuplot-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gnuplot-doc
Conflicts: gnuplot-x11,
           gnuplot-nox
Provides: gnuplot-nox,
          gnuplot-x11,
          gnuplot
Replaces: gnuplot-x11,
          gnuplot-nox
Description: Command-line driven interactive plotting program. QT-package
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package contains the terminal driver that enables gnuplot to plot
 images interactively using Qt.
 .
 The package provides gnuplot-x11 and gnuplot-nox terminals plus an
 additional QT-terminal for output.

Package: gnuplot-x11
Architecture: any
Build-Profiles: <!nox-only>
Depends: gnuplot-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gnuplot-doc
Conflicts: gnuplot-qt,
           gnuplot-nox
Provides: gnuplot-nox,
          gnuplot
Replaces: gnuplot-qt,
          gnuplot-nox
Description: Command-line driven interactive plotting program. X-package
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package contains the terminal driver that enables gnuplot to plot
 images interactively under X11.

Package: gnuplot-data
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: aglfn,
         ${misc:Depends}
Description: Command-line driven interactive plotting program. Data-files
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
 is packaged in gnuplot-x11.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package contains data-files which are used by -nox, -x11 and -qt.

## gnuplot kernel-0.4.1

=== Makefile ===
.PHONY: clean-pyc clean-build docs clean
BROWSER := python -mwebbrowser

help:
	@echo "clean - remove all build, test, coverage and Python artifacts"
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "clean-test - remove test and coverage artifacts"
	@echo "lint - check style with flake8"
	@echo "test - run tests quickly with the default Python"
	@echo "coverage - check code coverage quickly with the default Python"
	@echo "release - package and upload a release"
	@echo "dist - package"
	@echo "install - install the package to the active Python's site-packages"

clean: clean-build clean-pyc clean-test

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test:
	rm -f .coverage
	rm -fr htmlcov/

lint:
	flake8 gnuplot_kernel

test: clean-test
	pytest --cov=gnuplot_kernel

coverage:
	coverage report -m
	coverage html
	$(BROWSER) htmlcov/index.html

dist: clean
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

release: dist
	twine upload dist/*

release-test: dist
	twine upload -r pypitest dist/*

install: clean
	python setup.py install

## gnuplot kernel-0.5.0

=== Makefile ===
.PHONY: clean-pyc clean-build docs clean
BROWSER := python -mwebbrowser

# NOTE: Take care not to use tabs in any programming flow outside the
# make target

# Use uv (if it is installed) to run all python related commands,
# and prefere the active environment over .venv in a parent folder
ifeq ($(OS),Windows_NT)
  HAS_UV := $(if $(shell where uv 2>NUL),true,false)
else
  HAS_UV := $(if $(shell command -v uv 2>/dev/null),true,false)
endif

ifeq ($(HAS_UV),true)
  PYTHON ?= uv run --active python
  PIP ?= uv pip
  UVRUN ?= uv run --active
else
  PYTHON ?= python
  PIP ?= pip
  UVRUN ?=
endif

help:
	@echo "clean - remove all build, test, coverage and Python artifacts"
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "clean-test - remove test and coverage artifacts"
	@echo "lint - check style with flake8"
	@echo "test - run tests quickly with the default Python"
	@echo "coverage - check code coverage quickly with the default Python"
	@echo "release - package and upload a release"
	@echo "dist - package"
	@echo "install - install the package to the active Python's site-packages"
	@echo "develop - install the package in development mode"

clean: clean-build clean-pyc clean-test

clean-build:
	rm -fr build/
	rm -fr dist/
	find . -name '*.egg-info' -exec rm -fr {} +

clean-cache:
	find . -name '__pycache__' -exec rm -fr {} +

clean-test:
	$(UVRUN) coverage erase
	rm -f coverage.xml
	rm -f .coverage
	rm -fr htmlcov/

format:
	$(UVRUN) ruff format --check .

format-fix:
	$(UVRUN) ruff format .

lint:
	$(UVRUN) ruff check .

lint-fix:
	$(UVRUN) ruff check --fix .

fix: format-fix lint-fix

typecheck:
	$(UVRUN) pyright

test: clean-test
	$(UVRUN) pytest

coverage:
	$(UVRUN) coverage report -m
	$(UVRUN) coverage html
	$(BROWSER) htmlcov/index.html

dist: clean-build
	$(PYTHON) -m build
	ls -l dist

release-major:
	@$(PYTHON) ./tools/release-checklist.py major

release-minor:
	@$(PYTHON) ./tools/release-checklist.py minor

release-patch:
	@$(PYTHON) ./tools/release-checklist.py patch

install: clean
	$(PIP) install .

develop: clean-cache
	$(PIP) install -e ".[dev]"
